#
# Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009
# Yokogawa Electric Corporation.
# All rights reserved.
# 
# Redistribution and use of this software in source and binary
# forms, with or without modification, are permitted provided that
# the following conditions and disclaimer are agreed and accepted
# by the user:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with
#    the distribution.
# 
# 3. Neither the names of the copyrighters, the name of the project
#    which is related to this software (hereinafter referred to as
#    "project") nor the names of the contributors may be used to
#    endorse or promote products derived from this software without
#    specific prior written permission.
# 
# 4. No merchantable use may be permitted without prior written
#    notification to the copyrighters.
# 
# 5. The copyrighters, the project and the contributors may prohibit
#    the use of this software at any time.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHTERS, THE PROJECT AND
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING
# BUT NOT LIMITED THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE, ARE DISCLAIMED.  IN NO EVENT SHALL THE
# COPYRIGHTERS, THE PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# $TAHI: ct-ikev2/IKEv2v6eval.pm,v 1.3 2008/05/14 09:21:17 doo Exp $
#
########################################################################
package IKEv2v6eval;

BEGIN {
        push( @INC, '/usr/local/koi/libdata' );
}

END {
}

use Exporter;
use V6evalTool;

use strict;

our @ISA = qw(Exporter);
our @EXPORT = qw(
	IKEv2vSend
	RegistV6evalSignalHandler
);


sub
IKEv2vSend($$$$$)
{
	my ($link, $saddr, $daddr, $packet, $af) = @_;

	my $cpp = undef;
	$cpp  = "-DIP_SRC_ADDR=\\\"$saddr\\\" ";
	$cpp .= "-DIP_DST_ADDR=\\\"$daddr\\\" ";
	$cpp .= ($af eq 'INET6') ? '-DIPV6': '-DIPV4 ';
	if (defined($cpp)){
		vCPP($cpp);
	}

	vCapture($link);
	vClear($link);
	my %ret = vSend($link, $packet);
	vStop($link);

	return(%ret);
}



sub RegistV6evalSignalHandler() {
        $SIG{CHLD} = \&V6evalTool::checkChild;
}

1;
